Package: org.apache.groovy.contracts.common.impl.lc

## [Java] Class ClassInvariantLifecycle

- org.apache.groovy.contracts.common.impl.lc.ClassInvariantLifecycle

-     public class ClassInvariantLifecycle
      extends BaseLifecycle

  Internal Lifecycle implementation for class-invariants.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `afterProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)` Adds class-invariant checks to an eligible constructor after contract metadata has been assembled.
    `` | `public void` | `afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)` Adds class-invariant checks to an eligible method after contract metadata has been assembled.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BaseLifecycle` | `afterProcessingClassNode, afterProcessingConstructorNode, afterProcessingMethodNode, beforeProcessingClassNode, beforeProcessingConstructorNode, beforeProcessingMethodNode`

- - ### Method Detail

    - #### public void afterProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)

      Adds class-invariant checks to an eligible constructor after contract metadata has been assembled.

      Parameters:
        `processingContextInformation` - the current processing context
        `classNode` - the declaring class
        `constructorNode` - the constructor to update

    - #### public void afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)

      Adds class-invariant checks to an eligible method after contract metadata has been assembled.

      Parameters:
        `processingContextInformation` - the current processing context
        `classNode` - the declaring class
        `methodNode` - the method to update